Bug 993582 - Review Request: inxi - A full featured system information script
Review Request: inxi - A full featured system information script
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 04:40 EDT by Vasiliy Glazov
Modified: 2013-09-06 04:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-05 23:08:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Vasiliy Glazov 2013-08-06 04:40:42 EDT
Spec URL: https://raw.github.com/RussianFedora/inxi/master/inxi.spec
SRPM URL: http://koji.russianfedora.ru/koji/getfile?taskID=83207&name=inxi-1.9.12-2.fc20.R.src.rpm

Description: Inxi offers a wide range of built-in options, as well as a good number of extra features which require having the script recommends installed on the system.

Please see https://code.google.com/p/inxi/
Comment 1 Christopher Meng 2013-08-06 05:54:14 EDT
Can the source be downloaded via an URL?
Comment 2 Vasiliy Glazov 2013-08-06 06:04:35 EDT
Yes, I think that may be done with this https://inxi.googlecode.com/svn-history/r2033/trunk/inxi.tar.gz
Comment 4 Christopher Meng 2013-08-07 00:56:07 EDT
I'm not sure if we should include them?

Requires:       bash
Requires:       coreutils
Requires:       gawk grep

I think they are installed by default...
Comment 6 Christopher Meng 2013-08-07 22:16:13 EDT
inxi.noarch: W: spurious-executable-perm /usr/share/doc/inxi/inxi.changelog

And,

[rpmaker@fab upstream-unpacked]$ grep /usr/bin/env * -r
Source0/inxi:#!/usr/bin/env bash

I'm not sure about this, since this can also be found in bindir of many other programs.

So please fix the spurious-executable-perm(better by upstream) before SCM import.

APPROVED.
Comment 8 Vasiliy Glazov 2013-08-08 01:18:33 EDT
New Package SCM Request
=======================
Package Name: inxi
Short Description: A full featured system information script
Owners: vascom
Branches: f18 f19 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-08-08 08:22:42 EDT
Git done (by process-git-requests).
Comment 10 Christopher Meng 2013-09-05 23:08:24 EDT
I hope russian can remove packages approved in Fedora and focus on Fedora.

Like this bug, you forgot to close it.

Note You need to log in before you can comment on or make changes to this bug.